
clear 
set trace off 
set more off 
set mem 500m 
set matsize 2200 

capture log close 

cd "C:\Documents and Settings\sschurer\My Documents\PhD Thesis Stefanie Schurer\SAH and SES Panel Methods\JAE Changes" 

log using "Graphical depiction of FE", replace 



#delimit ;



use "GSOEP (1984-2005) Workdata JAE with FE", clear ;


forvalues s=1(1)4 { ;

foreach var1 of varlist male female { ;


twoway 
(kdensity  fe`s' if `var1'==1 & a1630==1) 
(kdensity  fe`s' if `var1'==1 & a3140==1) 
(kdensity  fe`s' if `var1'==1 & a4150==1)
(kdensity  fe`s' if `var1'==1 & a5160==1) 
(kdensity  fe`s' if `var1'==1 & a6170==1) 
(kdensity  fe`s' if `var1'==1 & a71==1),
ytitle("Density")
legend(cols(2) region(lstyle(none)) label(1 "16 to 30") 
label(2 "31 to 40") label(3 "41 to 50") 
label(4 "51 to 60") 
label(5 "61 to 70") label(6 "71 and older") );

graph export fe`s'_`var1'.eps, as(eps) preview(on) replace  ;


} ;

} ;

log close ;
