clear 
set trace off 
set more off 
set mem 500m 
set matsize 2200 

capture log close 

cd "C:\Documents and Settings\sschurer\My Documents\PhD Thesis Stefanie Schurer\SAH and SES Panel Methods\JAE Changes" 

log using "Calculation of Proxy for FE", replace 


use "GSOEP (1984-2005) Workdata Jones and Schurer", clear 

#delimit ;

local indepvars1 "east a3140 a4150 a5160  
a6170 a71 ya1630 ya3140 ya4150 ya5160 ya6170 ya71 
yrsedu unemp overtime wdisable separate single hhsize 
y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 
y1994 y1995 y1996 y1997 y1998 y1999 
y2000 y2001 y2003 y2004 y2005" ;

local convars1 "ya1630 ya3140 ya4150 ya5160 ya6170 ya71" ;

local agroups "a1630 a3140 a4150 a5160 a6170 a71" ;



local s = 1 ;
while `s' < 5 { ;
	gen sahfe`s' = 0 ;
	replace sahfe`s' = 1 if swh > `s' ;
sort persnr year ;
by persnr: egen meany`s' = mean(sahfe`s') ;
gen ys`s' = logit(meany`s') ; 
clogit sahfe`s' `indepvars1', group(persnr) ;
predict xbetas`s' if e(sample)==1, xb ;
gen fe`s' = ys`s' - xbetas`s' ;
local s = `s' + 1 ;
} ;

save "GSOEP (1984-2005) Workdata JAE with FE", replace ;

log close ;



